=== modified file '.bzrignore'
--- .bzrignore	2010-09-19 20:04:12 +0000
+++ .bzrignore	2010-09-26 20:42:38 +0000
@@ -314,3 +314,7 @@
 virtual_column_info.gcno
 xid.gcno
 ylwrap
+docs/plugins/list.rst
+docs/plugins/*
+docs/doctrees
+docs/html

=== modified file 'config/pandora-plugin'
--- config/pandora-plugin	2010-08-17 20:57:43 +0000
+++ config/pandora-plugin	2010-09-26 20:42:38 +0000
@@ -25,6 +25,7 @@
 
 plugin_am_file=None
 plugin_ac_file=None
+plugin_doc_index=None
 
 class ChangeProtectedFile(object):
 
@@ -191,8 +192,16 @@
 
   write_plugin_ac(plugin, plugin_ac_file)
   write_plugin_am(plugin, plugin_am_file)
+  write_plugin_docs(plugin, plugin_doc_index)
   plugin['writing_status'] = 'done'
 
+def write_plugin_docs(plugin, doc_index):
+  if plugin['docs'] is not None and os.path.isdir("docs/plugins"):
+    if not os.path.exists(os.path.join("docs/plugins",plugin["name"])):
+      os.symlink(os.path.abspath(plugin["docs"]), os.path.join("docs/plugins",plugin["name"]))
+    doc_index.write("""
+   %(name)s""" % plugin)
+
 def write_plugin_ac(plugin, plugin_ac):
   #
   # Write plugin config instructions into plugin.ac file.
@@ -351,6 +360,10 @@
     return ""
   return None
 
+def find_docs(plugin_dir):
+  if os.path.isfile(os.path.join(plugin_dir, "docs", "index.rst")):
+    return os.path.join(plugin_dir, "docs")
+
 def read_plugin_ini(plugin_dir):
     if plugin_dir == ".":
       plugin_name="**OUT-OF-TREE**"
@@ -420,6 +433,7 @@
         plugin['testsuite']=True
       else:
         plugin['testsuite']=False
+    plugin['docs']= find_docs(plugin_dir)
 
     plugin['cflags']+= ' ' + config['extra_cflags']
     plugin['cppflags']+= ' ' + config['extra_cppflags']
@@ -600,7 +614,6 @@
              accumulate_plugins,
              plugin_list)
 
-
 if not os.path.exists("config/pandora-plugin.am") or "write" in actions:
   plugin_am_file = ChangeProtectedFile(os.path.join('config', 'pandora-plugin.am'))
   plugin_am_file.write("""
@@ -631,6 +644,17 @@
   plugin_ac_file = ChangeProtectedFile(os.path.join('config', 'pandora-plugin.ac'))
   plugin_ac_file.write("dnl Generated file, run make to rebuild\n")
 
+if os.path.exists("docs/plugins"):
+  if not os.path.exists("docs/plugins/list.rst") or "write" in actions:
+    plugin_doc_index = ChangeProtectedFile("docs/plugins/list.rst")
+    plugin_doc_index.write("""
+Plugin Documentation
+====================
+
+.. toctree::
+   :maxdepth: 2
+""")
+
 
 if os.path.exists('plugin.ini'):
   # Are we in a plugin dir which wants to have a self-sufficient build system?
@@ -672,3 +696,5 @@
   plugin_am_file.close()
 if plugin_ac_file is not None:
   plugin_ac_file.close()
+if plugin_doc_index is not None:
+  plugin_doc_index.close()

=== modified file 'docs/configuration.rst'
--- docs/configuration.rst	2010-09-26 19:49:34 +0000
+++ docs/configuration.rst	2010-09-26 20:42:38 +0000
@@ -30,6 +30,9 @@
 boolean flags, such as `--help` which do not require (nor can accept) an
 option value.
 
+|more| See :ref:`options` for all options that :program:`drizzled`
+supports.
+
 Environment variables are the same as the command line options, except that
 the variable name is prefixed with *DRIZZLED_*, in all caps and all `.` and
 `-` are turned into underscores. So the option

=== modified file 'docs/index.rst'
--- docs/index.rst	2010-09-26 19:01:33 +0000
+++ docs/index.rst	2010-09-26 20:42:38 +0000
@@ -21,6 +21,14 @@
    :maxdepth: 2
 
    configuration
+   options
+
+Plugins:
+
+.. toctree::
+   :maxdepth: 2
+
+   plugins/list
 
 Indices and tables
 ==================

=== added file 'docs/options.rst'
--- docs/options.rst	1970-01-01 00:00:00 +0000
+++ docs/options.rst	2010-09-26 20:42:38 +0000
@@ -0,0 +1,8 @@
+
+Drizzled Options
+================
+
+There are many different options one can use to configure Drizzle.
+
+Kernel Options
+--------------

=== added directory 'docs/plugins'
